<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package umctheme3
 */

get_header();
?>

	<section id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header>
			<div class=" search-results-header">
				<h2 class="page-title">
					Search <?php echo get_bloginfo(); ?>
				</h2>
				<!-- SEARCH FORM -->
				<form role="search" method="get" class="results-search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
					<div class="input-group">
						<input type="search" id="results_search_input" name="s" value="" class="results-search-input search-field" placeholder="<?php echo get_search_query(); ?>">
						<input type="submit" class="uu-btn results-search-submit">
					</div>
				</form>
				<!-- END SEARCH FORM -->
			</div>
			<!-- SEARCH ITEMS CONTAINER -->
			<div class="search-items-container uu-3col-container aos-container">
			<?php
			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				 ?>
				
				<?php get_template_part( 'template-parts/content', 'search' ); ?>
				
				<?php

			endwhile;
			?>
			</div>
			<!-- END SEARCH ITEMS CONTAINER -->
			<?php   

			the_posts_pagination( array( 'mid_size'  => 2 ) );

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>
		</main>
	</section>

<?php
// get_sidebar();
get_footer();
